*, *::before, *::after {
    -webkit-tap-highlight-color: transparent;
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font: inherit;
}

    *:has(:target) {
        scroll-behavior: smooth;
    }


ul[role='list'], ol[role='list'] {
    list-style: none;
}

html:focus-within {
    scroll-behavior: smooth;
}

html, body {
    height: 100%;
    font-family: system-ui;
    text-rendering: optimizeSpeed;
}


b, strong {
    font-weight: bold;
}


a:not([class]) {
    text-decoration-skip-ink: auto;
}

a {
    text-decoration: none;
    color: inherit;
}


img, picture, svg, video {
    max-width: 100%;
    display: block;
}

h1, h2, h3, h4, h5, h6 {
    text-wrap: balance;
}

p {
    text-wrap: pretty;
}

h1 {
    font-size: 2.0em;
}

h2 {
    font-size: 1.8em;
}

h3 {
    font-size: 1.6em;
}

h4 {
    font-size: 1.4em;
}

h5 {
    font-size: 1.2em;
}

h6 {
    font-size: 1.0em;
}

button {
    -webkit-user-select: none;
    cursor: pointer;
    border: none;
    user-select: none;
}

input[type=checkbox] {
    cursor: pointer;
}
